org.keycloak.services.clientpolicy.executor

## Class ConfidentialClientAcceptExecutor

- java.lang.Object
- - org.keycloak.services.clientpolicy.executor.ConfidentialClientAcceptExecutor

- All Implemented Interfaces:
    Provider, ClientPolicyExecutorProvider<ClientPolicyExecutorConfiguration>

      public class ConfidentialClientAcceptExecutor
      extends Object
      implements ClientPolicyExecutorProvider<ClientPolicyExecutorConfiguration>

  Author:
    Takashi Norimatsu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfidentialClientAcceptExecutor(KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeOnEvent(ClientPolicyContext context)` execute actions against the client on the event defined in `ClientPolicyEvent`.
    `String` | `getProviderId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.executor.ClientPolicyExecutorProvider

      `close, getExecutorConfigurationClass, getName, setupConfiguration`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

  - ### Constructor Detail

    - #### ConfidentialClientAcceptExecutor

          public ConfidentialClientAcceptExecutor(KeycloakSession session)

  - ### Method Detail

    - #### getProviderId

          public String getProviderId()

      Specified by:
        `getProviderId` in interface `ClientPolicyExecutorProvider<ClientPolicyExecutorConfiguration>`

    - #### executeOnEvent

          public void executeOnEvent(ClientPolicyContext context)
                              throws ClientPolicyException

      Description copied from interface: `ClientPolicyExecutorProvider`
      execute actions against the client on the event defined in `ClientPolicyEvent`.
      Specified by:
        `executeOnEvent` in interface `ClientPolicyExecutorProvider<ClientPolicyExecutorConfiguration>`
      Parameters:
        `context` - - the context of the event.
      Throws:
        `ClientPolicyException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.